coreFramework.provider('AdvancedSearch', function () {
    var config = {
        modules: []
    };

    this.addModule = function (moduleName, formPath) {
        config.modules.push({
            name: moduleName,
            form: formPath
        });
        console.log(config);
    };

    this.$get = [function () {

        return {
            addModule: this.addModule,
            getModule: function (moduleName) {
                for (var i = 0; i < config.modules.length; i++) {
                    if (config.modules[i].name == moduleName) {
                        return config.modules[i];
                    }
                }
                return null;
            },
            getModules: function () {
                return config.modules;
            },
            getConfig: function () {
                return config;
            }
        };

    }];
});
